## org.apache.tools.ant.helper
Class SingleCheckExecutor

    java.lang.Object
      org.apache.tools.ant.helper.SingleCheckExecutor

All Implemented Interfaces:
  Executor

    public class SingleCheckExecutor

extends java.lang.Object
implements Executor

"Single-check" Target executor implementation. Differs from `DefaultExecutor` in that the dependencies for all targets are computed together, so that shared dependencies are run just once.

Since:
  Ant 1.6.3

Constructor Summary
`SingleCheckExecutor()`

Method Summary
`void` `executeTargets(Project project, java.lang.String[] targetNames)` Execute the specified Targets for the specified Project..
`Executor` `getSubProjectExecutor()` Get the appropriate subproject Executor instance..

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleCheckExecutor

    public SingleCheckExecutor()

Method Detail

### executeTargets

    public void executeTargets(Project project,
                               java.lang.String[] targetNames)
                        throws BuildException

  Execute the specified Targets for the specified Project..

  Specified by:
    `executeTargets` in interface `Executor`
  Parameters:
    `project` - the Ant Project.
    `targetNames` - String[] of Target names.
  Throws:
    `BuildException` - on error

### getSubProjectExecutor

    public Executor getSubProjectExecutor()

  Get the appropriate subproject Executor instance..

  Specified by:
    `getSubProjectExecutor` in interface `Executor`
  Returns:
    an Executor instance.